curl -X POST https://api.bouncy.ai/v1/domains/go.example.com/verify \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
{
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
if (result.verified) {
console.log('Domain verified successfully!');
} else {
console.log('Verification failed:', result.message);
}
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
if result['verified']:
print('Domain verified successfully!')
else:
print(f"Verification failed: {result['message']}")
{
"domain": "go.example.com",
"verified": true,
"message": "Domain verified successfully",
"verifiedAt": "2026-02-06T12:05:00Z",
"dnsStatus": {
"recordFound": true,
"recordValue": "cname.bouncy.ai",
"expectedValue": "cname.bouncy.ai"
}
}
{
"domain": "go.example.com",
"verified": false,
"message": "DNS records not configured correctly",
"verifiedAt": null,
"dnsStatus": {
"recordFound": false,
"recordValue": null,
"expectedValue": "cname.bouncy.ai"
}
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
Domains
Verify Domain
Verify DNS configuration for a custom domain
POST
/
v1
/
domains
/
:domain
/
verify
curl -X POST https://api.bouncy.ai/v1/domains/go.example.com/verify \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
{
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
if (result.verified) {
console.log('Domain verified successfully!');
} else {
console.log('Verification failed:', result.message);
}
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
if result['verified']:
print('Domain verified successfully!')
else:
print(f"Verification failed: {result['message']}")
{
"domain": "go.example.com",
"verified": true,
"message": "Domain verified successfully",
"verifiedAt": "2026-02-06T12:05:00Z",
"dnsStatus": {
"recordFound": true,
"recordValue": "cname.bouncy.ai",
"expectedValue": "cname.bouncy.ai"
}
}
{
"domain": "go.example.com",
"verified": false,
"message": "DNS records not configured correctly",
"verifiedAt": null,
"dnsStatus": {
"recordFound": false,
"recordValue": null,
"expectedValue": "cname.bouncy.ai"
}
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
Request
Headers
Path Parameters
string
required
The domain name to verifyExample:
go.example.comBefore verifying, ensure you’ve configured the DNS records provided when you connected the domain.
Response
string
The domain name
boolean
Whether verification was successful
string
Status message
string
ISO 8601 timestamp of verification (if successful)
object
curl -X POST https://api.bouncy.ai/v1/domains/go.example.com/verify \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
{
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const result = await response.json();
if (result.verified) {
console.log('Domain verified successfully!');
} else {
console.log('Verification failed:', result.message);
}
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains/go.example.com/verify',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
result = response.json()
if result['verified']:
print('Domain verified successfully!')
else:
print(f"Verification failed: {result['message']}")
{
"domain": "go.example.com",
"verified": true,
"message": "Domain verified successfully",
"verifiedAt": "2026-02-06T12:05:00Z",
"dnsStatus": {
"recordFound": true,
"recordValue": "cname.bouncy.ai",
"expectedValue": "cname.bouncy.ai"
}
}
{
"domain": "go.example.com",
"verified": false,
"message": "DNS records not configured correctly",
"verifiedAt": null,
"dnsStatus": {
"recordFound": false,
"recordValue": null,
"expectedValue": "cname.bouncy.ai"
}
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
⌘I